| Haskell Hierarchical Libraries (Cabal package) | Source code | Contents | Index

Distribution.Simple.Hugs

Portability | portable
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>

Description
Synopsis

build :: PackageDescription -> LocalBuildInfo -> Int -> IO ()
install :: Int -> FilePath -> FilePath -> FilePath -> FilePath -> FilePath -> PackageDescription -> IO ()
hugsPackageDir :: PackageDescription -> LocalBuildInfo -> FilePath

Documentation
build :: PackageDescription -> LocalBuildInfo -> Int -> IO ()
Building a package for Hugs.
install

:: Int | verbose
-> FilePath | Library install location
-> FilePath | Program install location
-> FilePath | Executable install location
-> FilePath | Program location on target system
-> FilePath | Build location
-> PackageDescription |
-> IO () |

hugsPackageDir :: PackageDescription -> LocalBuildInfo -> FilePath
Hugs library directory for a package
Produced by Haddock version 0.8